List remediation actions for a job

Returns a paginated list of individual remediation actions in this job. Defaults to the last 30 days (maximum 366 days), sorted by most recent activity.

Path Params
integer
required
≥ 1

Integer job id.

Query Params
status
array of strings

Comma-separated list of action statuses.

status
Allowed:
spm_type
array of strings

Comma-separated list of issue types to filter by.

spm_type
Allowed:
string

Filter to a single device.

device_groups
array of strings

Comma-separated list of device-group ids.

device_groups
device_tags
array of strings

Comma-separated list of device tags.

device_tags
string

Filter to a single application.

date

Start date in yyyy-mm-dd format. Defaults to 30 days ago.

date

End date in yyyy-mm-dd format. Defaults to today. Must be on or after from.

string

Filter by the most recent event action.

boolean

Filter to show only actions performed through the Intune integration (true) or without it (false).

string
enum
Defaults to last_event

Field to sort by.

Allowed:
string
enum

Sort direction. Defaults to asc for device_name and spm_id, desc otherwise.

Allowed:
integer
≥ 1
Defaults to 1

Page number to return. Starts at 1.

integer
1 to 100
Defaults to 20

Number of results per page. Maximum 100.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json